%global pypi_name oslo.privsep

Summary:        OpenStack library for privilege separation
Name:           python-oslo-privsep
Version:        3.0.1
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/%{pypi_name}/latest/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
oslo.privsep is an OpenStack library for privilege separation. This library helps applications 
perform actions which require more or less privileges than they were started with in a safe, 
easy to code and easy to use manner.

%package -n python3-oslo-privsep
Summary:        OpenStack library for privilege separation

BuildRequires:  python3-devel python3-setuptools python3-pip python3-wheel python3-pbr
BuildRequires:  python3-cffi python3-eventlet python3-greenlet python3-msgpack
BuildRequires:  python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-utils
Requires:       python3-cffi python3-eventlet python3-greenlet python3-msgpack
Requires:       python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-utils
Provides:       python-oslo-privsep


%description -n python3-oslo-privsep
oslo.privsep is an OpenStack library for privilege separation. This library helps applications 
perform actions which require more or less privileges than they were started with in a safe, 
easy to code and easy to use manner.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}


%files -n python3-oslo-privsep
%{_docdir}/*
%{_bindir}/privsep-helper
%dir %{python3_sitelib}/*
%{python3_sitelib}/oslo_privsep
%{python3_sitelib}/*.egg-info

%changelog
* Thu Sep 21 2023 kianli <kianli@tencent.com> - 3.0.1-1
- Upgrade to 3.0.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 2.5.0-1
- initial build
